#ifndef TOKENIZER_H
#define TOKENIZER_H

#include <stdbool.h>
#include <stdint.h>

#include "tokenizer/Token.h"

typedef int16_t int16;

bool tTokenize(const char* path);
const char* tGetError();

void tResetReader();
Token tPeekToken();
Token tReadToken();
bool tReadInt(int* i);
bool tReadInt16(int16* i);
bool tReadFloat(float* f);
const char* tReadString();
int tGetMarker();
void tReset(int marker);

#endif